Page MenuHomePhabricator

Allow different internal and external URLs for Quickstatements to contact Mediawiki OAuth
Closed, ResolvedPublic

Description

If quickstatements and a wikibase are run behind a proxy the address that Quickstatements must cURL to do OAuth negotiation is different form the public one that we want to redirect the users browser to.

If would be good this this was a configurable option to allow this setup.

Event Timeline

Tarrow created this task.May 2 2018, 8:50 AM
Tarrow moved this task from Backlog to Review on the User-TArrow board.May 2 2018, 9:20 AM
Tarrow moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.

Thanks for merging these!

Addshore moved this task from Backlog to Features on the Wikibase-Containers board.May 5 2018, 8:07 AM
Addshore moved this task from Features to Doing on the Wikibase-Containers board.
Tarrow moved this task from Review to Done on the User-TArrow board.May 14 2018, 3:10 PM
Tarrow closed this task as Resolved.May 14 2018, 8:37 PM
Vvjjkkii renamed this task from Allow different internal and external URLs for Quickstatements to contact Mediawiki OAuth to dtdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from dtdaaaaaaa to Allow different internal and external URLs for Quickstatements to contact Mediawiki OAuth.Jul 1 2018, 9:22 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Tarrow.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:57 AM